<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Edwin404\Base\Support\ModelHelper;

class Default19031502 extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        ModelHelper::add('background', ['type' => 'product_list', 'name' => '产品列表',]);
        ModelHelper::add('background', ['type' => 'product_view', 'name' => '产品详情',]);
        ModelHelper::add('background', ['type' => 'news_list', 'name' => '新闻列表',]);
        ModelHelper::add('background', ['type' => 'news_view', 'name' => '新闻详情',]);
        ModelHelper::add('background', ['type' => 'contact', 'name' => '联系我们',]);
        ModelHelper::add('background', ['type' => 'about', 'name' => '关于我们',]);
        ModelHelper::add('background', ['type' => 'job_list', 'name' => '招聘列表',]);
        ModelHelper::add('background', ['type' => 'job_view', 'name' => '招聘详情',]);

        ModelHelper::add('nav', ['type' => 'head', 'title' => '首页', 'sort' => 1, 'url' => '/']);
        ModelHelper::add('nav', ['type' => 'head', 'title' => '产品', 'sort' => 2, 'url' => '/product']);
        ModelHelper::add('nav', ['type' => 'head', 'title' => '新闻', 'sort' => 3, 'url' => '/news']);
        ModelHelper::add('nav', ['type' => 'head', 'title' => '联系', 'sort' => 4, 'url' => '/contact']);
        ModelHelper::add('nav', ['type' => 'head', 'title' => '关于', 'sort' => 5, 'url' => '/about']);
        ModelHelper::add('nav', ['type' => 'head', 'title' => '招聘', 'sort' => 6, 'url' => '/job']);

        ModelHelper::add('nav', ['type' => 'foot', 'title' => '首页', 'sort' => 1, 'url' => '/']);
        ModelHelper::add('nav', ['type' => 'foot', 'title' => '产品', 'sort' => 2, 'url' => '/product']);
        ModelHelper::add('nav', ['type' => 'foot', 'title' => '新闻', 'sort' => 3, 'url' => '/news']);
        ModelHelper::add('nav', ['type' => 'foot', 'title' => '联系', 'sort' => 4, 'url' => '/contact']);
        ModelHelper::add('nav', ['type' => 'foot', 'title' => '关于', 'sort' => 5, 'url' => '/about']);
        ModelHelper::add('nav', ['type' => 'foot', 'title' => '招聘', 'sort' => 6, 'url' => '/job']);

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

    }
}
